# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.3.0] - 2024-11-16

### Added
- with lib drone
- with rust something
- fix errors
- update dagger
- update
- without extra packages
- wrong exclude
- also exclude tests
- update dagger 0.11.10
- update dagger 0.11.7
- add empty cuddle please for now
- update
- update a lot
- update components on prs to also build release
- update version
- update image
- move to user local bin
- with alpine instead
- add permissions
- use version as well
- install curl
- trying again
- add dagger bin actually6 compiles
- add dagger bin
- add file
- match values first
- pretty print
- with debug
- return with sqlx
- add debug logs
- with single migrations
- handle for cuddle_file
- with cuddle release clone
- use stuff
- with as ref as well
- implement clone
- now with to owned as well
- use generics
- use cuddle please
- with rust workspace members
- update dagger
- fix cuddle_releaser
- make cloneable
- remove extra fluff
- add trace
- add image tag
- make sure to add values property
- update image
- add system time
- update drone templater
- include pipeline
- include sync
- use self.client
- with aborting
- fix errors
- fix errors
- create drone templater action
- make cuddle_releaser great again
- upgrade services to bookworm
- upgrade to bookworm
- with apt
- with logging
- with logging
- update leptos service
- rerun blabla
- with export
- with fix
- cargo update
- with ignore sub source as well
- add helm to kubectl
- add main
- add timestamp
- use tag instead
- use tag instead
- revert
- from cuddle file up
- remember to split output string
- with cuddle x render args
- with context
- with kubeslice
- with kubeslice
- add kubectl command
- trying spawn
- trying std::process instead
- stderr pipes
- with nonzero exit code
- with more logs
- update releaser
- disable ci for now
- add cuddle_cli
- add cuddle_cli
- with docker
- with apt before package
- all the logs
- all the logs
- all the logs
- all the logs
- all the logs
- all the logs
- with new image
- with new image
- with new image
- set rust log error
- add time str
- new image
- without logs
- try again
- with updated releaser
- with trace
- with output
- use proper releaser
- add auth sock
- with cuddle x render
- add deployment take 2
- add deployment
- add releaser
- conditionally disable deployment
- without home
- run before base
- set user
- with empty string
- with ingored host key checking
- with migrations as well
- with opinionated ssh auth sock fetch
- set env variable as well
- with ssh agent
- extract cuddle_please
- update image
- with cuddle please
- without new async
- with rust_lib
- with main as well
- with test with leptos
- add initial leptos
- add postgresql-dev
- without nodemodules
- with entry point
- with actual pr
- with pub fn new
- add node service
- trying again with opts
- without opts
- set registry
- move to after package
- with docker cache
- update assets
- with assets
- with package as well
- without deps
- with ca certificates
- with working ssh
- update with ssh
- with ssh sock dep
- can use ssh sock
- with username
- with git name
- with sync
- with update deployment
- with registry
- with before test
- with impl into
- with arc
- with &mut service
- with mutex
- with rust service impl
- with src
- with sqlx
- forgot async_trait
- with cargo clean
- with extensions
- extract arch
- with full support for rust services
- with middleware
- with logs
- add cuddle ci draft
- with offline mode
- with cargo clean
- without export
- with output
- with nested mold
- fix name
- with mold
- with mold
- with htmx
- add leptos
- ignore cache
- update lock
- with updated dagger-sdk
- *(rust-publish)* with rust publish

### Fixed
- *(deps)* update rust crate chrono to 0.4.38
- typo
- *(deps)* update all dependencies
- *(deps)* update rust crate chrono to 0.4.35
- *(deps)* update rust crate chrono to 0.4.34
- *(deps)* update all dependencies
- *(deps)* update rust crate futures to 0.3.30
- as isize
- actually build the builder
- build errors on ssh agent
- *(deps)* update rust crate async-scoped to 0.8.0
- *(deps)* update rust crate futures to 0.3.29
- *(git)* make sure we actually fail when running an invalid git command

### Other
- *(deps)* update rust crate serde to v1.0.215
- *(deps)* update rust crate serde to v1.0.214
- *(deps)* update rust crate serde to v1.0.213
- *(deps)* update rust crate serde to v1.0.210
- *(deps)* update rust crate serde to v1.0.209
- *(deps)* update rust crate serde to v1.0.208
- *(deps)* update rust crate serde to v1.0.203
- *(deps)* update rust crate async-trait to 0.1.80
- split module
- *(deps)* update rust crate async-trait to 0.1.79
- *(deps)* update rust crate async-trait to 0.1.78
- *(deps)* update rust crate tokio to 1.36.0
- *(deps)* update rust crate eyre to 0.6.12
- rename with_socket to with_ssh_agent
- fmt
- fmt
- *(deps)* update rust crate async-scoped to 0.8.0
- *(deps)* update rust crate futures to 0.3.29
- *(deps)* update rust crate eyre to 0.6.9
- *(deps)* update rust crate tokio to 1.34.0
- *(deps)* update all dependencies
- with version 0.2.0
- publish
- add noop release script

## [0.2.0] - 2023-08-12

### Added
- with rust build and test
- *(ci)* with internal please action

### Fixed
- *(ci)* only set local url instead of insteadOf
- *(ci)* trim remote_url newlines
- *(ci)* trim remote_url newlines
- *(ci)* repo should be ssh
- *(ci)* make sure to run ssh as user git
- ci

### Other
- set fixed versions
- *(deps)* update rust crate tokio to 1.31.0
- *(ci)* move cuddle please image to cuddle
- Add renovate.json


## [0.1.0] - 2023-08-11

### Added
- ssh is always required for with src
- fix ssh issues
- with example
- update pr script to not use unnused variables
- add base ci
- make sure that members are available as workspace deps
- prepare for project addition
- add base packages
- add base workspace

### Docs
- with readme
- add examples

### Fixed
- *(ci)* needed to include examples as well
- *(ci)* with build workspace instead
